根据外部订单号批量查询订单
响应示例
{
"success": true,
"code": 0,
"data": [
{
"orderId": "743829153601634818",
"symbol": "BTC_USDT",
"positionId": 0,
"price": 100000,
"priceStr": "100000",
"vol": 10,
"leverage": 20,
"side": 1,
"category": 1,
"orderType": 1,
"dealAvgPrice": 0,
"dealAvgPriceStr": "0",
"dealVol": 0,
"orderMargin": 5,
"takerFee": 0,
"makerFee": 0,
"profit": 0,
"feeCurrency": "USDT",
"openType": 2,
"state": 2,
"externalOid": "_m_a6e614e4107e4d13893f9f4a3f46d2d8",
"errorCode": 0,
"usedMargin": 0,
"createTime": 1763013089831,
"updateTime": 1763013089904,
"positionMode": 2,
"reduceOnly": false,
"version": 1,
"showCancelReason": 0,
"showProfitRateShare": 0,
"bboTypeNum": 0,
"totalFee": 0,
"zeroSaveTotalFeeBinance": 0,
"zeroTradeTotalFeeBinance": 0
}
]
}
- POST
/api/v1/private/order/batch_query_with_external
需要权限: 读取订单信息
请求参数: list集合
| 参数名 | 类型 | 是否必填 | 说明 |
|---|---|---|---|
| symbol | string | true | 合约名 |
| externalOid | string | true | 外部订单号 |
响应参数:
| 参数名 | 类型 | 说明 |
|---|---|---|
| orderId | long | 订单ID号 |
| symbol | string | 合约名 |
| positionId | long | 持仓id |
| price | decimal | 委托价格 |
| vol | decimal | 委托数量 |
| leverage | long | 杠杆倍数 |
| side | int | 订单方向 1:开多,2:平空,3:开空,4:平多 |
| category | int | 订单类别:1:限价委托,2:强平代管委托,3:代管平仓委托,4:ADL减仓 |
| dealAvgPrice | decimal | 成交均价 |
| dealVol | decimal | 成交数量 |
| orderMargin | decimal | 委托保证金 |
| takerFee | decimal | 买单手续费 |
| makerFee | decimal | 卖单手续费 |
| profit | decimal | 平仓盈亏 |
| feeCurrency | string | 收费币种 |
| openType | int | 开仓类型,1:逐仓,2:全仓 |
| state | int | 订单状态,1:待报,2:未完成,3:已完成,4:已撤销,5:无效 |
| externalOid | string | 外部订单号 |
| createTime | date | 创建时间 |
| updateTime | date | 修改时间 |
| bboTypeNum | int | 限价订单类型-BBO类型订单; 0:不是BBO订单;1:对手价1;2:对手价5;3:同向价1;4:同向价5; |
| lossTrend | int | 止损价格类型;1:最新价;2:合理价;3:指数价 |
| profitTrend | int | 止盈价格类型; |
| takeProfitPrice | decimal | 止盈价 |
| stopLossPrice | decimal | 止损价 |
| priceProtect | int | 价差保护 1:开启;0:关闭 |
| positionMode | int | 仓位模式;1:双向持仓;2:单向持仓 |